%global           __python %{__python3}
%define           app_name ZVVOnlineTV

Name:             zvvonlinetv
Version:          3.2
Release:          %mkrel 5
Summary:          IPTV player and watch online TV streams
License:          GPLv3
Group:            Video/Television
Url:              http://zvvubuntu.blogspot.com/2016/06/zvvonlinetv.html
Source0:          %{name}-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    hicolor-icon-theme
Requires:         python3-qt5-widgets
Requires:         python3-qt5-gui
Requires:         python3-qt5-multimedia
Requires:         python3-qt5-multimediawidgets
Requires:         mpv
Requires:         ffmpeg
Requires:         youtube-dl

%description
ZVVOnlineTV - a program for convenient work with IPTV and viewing
online TV, which has a simple and easy interface, not overloaded.

%prep
%setup -q
#fix Categories
sed -i "s|Categories=.*|Categories=AudioVideo;Player;|g" usr/share/applications/%{app_name}.desktop
#remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' usr/share/%{app_name}/%{app_name}.py
#fix permissions
find usr/share -type f -exec chmod -x {} \;
chmod -x docs/*


%build
#nothing

%install
cp -af usr %{buildroot}

%files
%doc docs/*.txt
%license docs/COPYING
%{_bindir}/%{name}
%{_bindir}/%{app_name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{app_name}.desktop
%{_datadir}/%{app_name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.2-5.mga10
+ Revision: 2221483
- Mageia 10 Mass Rebuild

* Sat Mar 02 2024 papoteur <papoteur> 3.2-4.mga10
+ Revision: 2047181
- rebuild for python 3.12

* Tue Mar 22 2022 umeabot <umeabot> 3.2-3.mga9
+ Revision: 1819353
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.2-2.mga8
+ Revision: 1521788
- Mageia 8 Mass Rebuild

* Wed Jan 02 2019 alexl <alexl> 3.2-1.mga7
+ Revision: 1348480
- fix Categories for desktop file
- bytecompiling with the correct python version
- remove shebang
- imported package zvvonlinetv

